Get user profile
Returns the profile for the identified wallet.
GET
/
v1
/
social
/
profile
Get user profile
curl --request GET \
--url https://joyride.exchange/api/v1/social/profileimport requests
url = "https://joyride.exchange/api/v1/social/profile"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://joyride.exchange/api/v1/social/profile', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"username": "alice_sol",
"avatar_url": "https://joyride.exchange/api/v1/social/identicon/abc123",
"email": "alice@example.com"
}{
"error": "Instrument not found"
}Headers
Wallet address — primary user identification method
Device identifier — mobile fallback when x-wallet is not set
Query Parameters
Wallet address — fallback if neither x-wallet nor x-device-id headers are set
⌘I
Get user profile
